Subject: RE: pthreads support
From: Heribert Dahms <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 27 Mar 2001 22:50:56 +0200

Hi Mumit,

thanks for clarification! I've misinterpreted:

> Robert, The first "simple" testcase is gcc itself (configured with 
> --enable-threads=posix), since gcc uses a very small subset of pthreads
> functionality, and that's what I'm going to try as soon as I get a 
> chance to update my local tree.

and implied "gcc uses" as "gcc uses ... during compilation"
instead of "gcc supports"!

Bye, Heribert ([email-masked])

> -----Original Message-----
> From:	Mumit Khan [SMTP:[email-masked]]
> Sent:	Tuesday, March 27, 2001 01:11
> To:	Heribert Dahms
> Cc:	[email-masked]; [email-masked]
> Subject:	RE: pthreads support
> 
	[Heribert]  [snip]

> The GCC compilers and drivers are not multi-threaded, so you get no
> benefit from that. The multi-threading interface in gcc is needed to
> support thread-safe C++ exceptions (Java may need it too, but I know
> next to nothing about the GCC Java front-end). 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple